E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
md5::block Class Reference

A helper class used by the md5::digest implementation to represent a 64-character data block. More...

## Public Member Functions
| block (const std::string &s, small_t block_offset, big_t end_value)
big_t | X (small_t) const

## Static Public Member Functions
static big_t | end (small_t data_length)
static small_t | blocks (small_t data_length)

## Detailed Description

A helper class used by the md5::digest implementation to represent a 64-character data block.

Definition at line 121 of file gmd5.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gmd5.cpp